Author: Ben Pfaff <pfaffben@debian.org>
Description: Fixes from previous package maintainer
--- a/compiler/Error.cpp
+++ b/compiler/Error.cpp
@@ -24,6 +24,8 @@
 #include "Error.h"
 #include "LexLocation.h"
 
+#define __STDC_FORMAT_MACROS
+#include <inttypes.h>
 using std::sprintf;
 
 static const char *sErrorText[] = {
@@ -53,8 +55,8 @@
 	"expression is not a legal target for assignment",
 
 	"undefined task \'%s\'",
-	"maximum of %d subroutines exceeded",
-	"maximum of %d tasks exceeded",
+	"maximum of %" PRIdPTR " subroutines exceeded",
+	"maximum of %" PRIdPTR " tasks exceeded",
 	"initialization function \'%s\' is not defined",
 	"task \'main\' not defined",
 	"\'continue\' is only valid within a loop",
@@ -95,7 +97,7 @@
 	"label \'%s\' redefined",
 
 	"illegal resource type",
-	"maximum of %d resources of this type exceeded",
+	"maximum of %" PRIdPTR " resources of this type exceeded",
 
         "cannot take the address of an array with a non-constant index",
 
